function insertionBBCode(bbcodeDebut, bbcodeFin, textareaId, bbcodeType)
{
    var champTexte  = document.getElementById(textareaId); // On rcupre la zone de texte
    var scroll = champTexte.scrollTop;                     // On met en mmoire la position du scroll
    champTexte.focus(); // On remet le focus sur la zone de texte, suivant les navigateurs, on perd le focus en appelant la fonction. 
    
    /* === Partie 1 : on rcupre la slection === */
    // InternetExplorer
    if (window.ActiveXObject)
    {
        // Rcupration de la slection.
        var textRange = document.selection.createRange();
        var selectionCourante = textRange.text;   
    }
    else // Autres navigateurs
    {
        // Rcupration de la slection.
        var debutSelection   = champTexte.value.substring(0, champTexte.selectionStart);
        var selectionCourante = champTexte.value.substring(champTexte.selectionStart, champTexte.selectionEnd);
        var finSelection     = champTexte.value.substring(champTexte.selectionEnd);
    }
    
    
    /* === Partie 2 : on analyse le bbcodeType === */
    if (bbcodeType)
    {
        switch (bbcodeType)
        {
            case "lien":
                
                // Il y a une slection.
                if (selectionCourante)
                { 
                    if (selectionCourante.indexOf("http://") == 0 || selectionCourante.indexOf("https://") == 0 || selectionCourante.indexOf("ftp://") == 0 || selectionCourante.indexOf("www.") == 0)
                    {
                        // Le texte slectionn semble tre un lien. On ne demande alors que le texte du lien.
                        var texteDuLien = prompt("Quel est le texte du lien ?\n[url=xxx]TEXTE DU LIEN[/url]", "") || "";
                        
                        // Si on ne met aucun texte OU clique sur le bouton Annuler
                        if (texteDuLien == "" || texteDuLien == null)
                        {
                            bbcodeDebut = "";
                            bbcodeFin = "";
                        }
                        else
                        {
                            bbcodeDebut = "[url=" + selectionCourante + "]";
                            selectionCourante = texteDuLien;
                            bbcodeFin = "[/url]";
                        }  
                    }
                    else
                    {
                        // Le texte slectionn n'est pas un lien, donc c'est le le texte du futur lien qui doit tre slectionn.
                        // On ne demande alors que l'URL
                        var URL = prompt("Quelle est l'url ?\nDoit commencer par http://", "http://");
                        
                        if (URL == "http://" || URL == null || URL == "")//&& 
                        {
                            bbcodeDebut = "";
                            bbcodeFin = "";
                        }
                        else
                        {
                            bbcodeDebut = "[url=" + URL + "]";
                            bbcodeFin = "[/url]";
                        }
                    }
                }
                else // Pas de slection, donc on demande l'URL et le texte du lien sous certaines conditions.
                {
                    var URL = prompt("Quelle est l'url ?\nDoit commencer par http://", "http://") || "";

                    // Si URL est : "http://" OU vide OU clique sur le bouton Annuler
                    // On ne va pas plus loin et on ne demade mme pas le texte du lien.
                    if (URL == "http://" || URL == "" || URL == null)//&& 
                    {
                        bbcodeDebut = "";
                        bbcodeFin = "";
                    }
                    else // Sinon si URL a t rempli. 
                    {
                        // L'URL a t remplie donc on demande le texte du lien
                        var texteDuLien = prompt("Quel est le texte du lien ?\n[url=xxx]TEXTE DU LIEN[/url]", "") || "";
                      
                       // Si on ne met aucun texte OU clique sur le bouton Annuler
                       // On met le mot "lien" par dfaut pour avoir un truc du genre :
                       // [url=http://toto.fr]lien[/url]
                        if (texteDuLien == "" || texteDuLien == null)
                        {
                            bbcodeDebut = "[url=" + URL + "]";
                            selectionCourante = "lien";
                            bbcodeFin = "[/url]";
                        }
                        else
                        {
                            bbcodeDebut = "[url=" + URL + "]";
                            selectionCourante = texteDuLien;
                            bbcodeFin = "[/url]";
                        }
                    }       
                }
            break;
        }
    }
    
    
    /* === Partie 3 : on insre le tout === */
    // InternetExplorer
    if (window.ActiveXObject)
    {
        // Insertion du texte avec le bbcode.
        textRange.text = bbcodeDebut + selectionCourante + bbcodeFin;
        textRange.moveStart("character", -bbcodeFin.length - selectionCourante.length);
        textRange.moveEnd("character", -bbcodeFin.length);
        textRange.select();     
    }
    else // Autres navigateurs
    {
        // Insertion du texte avec le bbcode.
        champTexte.value = debutSelection + bbcodeDebut + selectionCourante + bbcodeFin + finSelection;
        champTexte.focus();
        champTexte.setSelectionRange(debutSelection.length + bbcodeDebut.length, debutSelection.length + bbcodeDebut.length + selectionCourante.length);
    }
    
    champTexte.scrollTop = scroll; // et on redfinit le scroll.
}



//------------------------------------------------------- js_fulgure_au_poing.js
function fulgure_au_poing(value)
{
    startpos = 0;
    while ((value.charAt(startpos) == " ") && (startpos < value.length))
    {
        startpos++;
    }
    if (startpos == value.length)
    {
        value = "";
    }
    else
    {
        value = value.substring(startpos, value.length);
        endpos = (value.length) - 1;
        while(value.charAt(endpos) == " ")
        {
            endpos--;
        }
        value = value.substring(0, endpos + 1);
    }
    return(value);
}



//-------------------------------------------------------------- js_infobulle.js
//  Nom Document : GFBULLE.JS
//  Auteur       : G.Ferraz
//  Objet        : Info Bulle...
//  Cration     : 01.12.2003
//-------------------------------------------------------------
//  Mise  Jour  : 29.05.2006
//  Objet        : Compatibilit IE6 et DOCTYPE
//  -----------------------------------------------------------
//  Mise  Jour  : 15.09.2006
//  Objet        : Amlioration et modif suite  commentaires
//  -----------------------------------------------------------
//  Mise  Jour  : 10.11.2006
//  Objet        : Correction Bug sous FF si document <DIV style="float...">
//  -----------------------------------------------------------
var DOM = (document.getElementById ? true : false);
var IE  = (document.all && !DOM ? true : false);
var NAV_OK   = ( DOM || IE );
var NETSCAPE = ( navigator.appName == 'Netscape');
var Mouse_X;                // Position X en Cours de la Mouse
var Mouse_Y;                // Position Y en Cours de la Mouse
var Decal_X;                // Dcalage X entre Pointeur Mouse et Bulle
var Decal_Y;                // Dcalage Y entre Pointeur Mouse et Bulle
var bBULLE   = false;       // Flag Affichage de la Bulle
var Fenetre  = new RECT();  // pour dimension fentre
//-------------
function RECT(){
  this.Left   =0;
  this.Top    =0;
  this.Right  =0;
  this.Bottom =0;
}
//---------------------
function GetObjet(div_){
  if( DOM) return document.getElementById(div_);
  if( IE)  return document.all[div_];
  return( null);
}
//-- 10.11.2006 ----------------------------
// correction bug sur <DIV style="float...">
//------------------------------------------
function Get_DimFenetre(){
  var L_Doc;
  var H_Doc;
  var DocRef;
  
  with( Fenetre){
    if( window.innerWidth){
      with( window){
        Left   = pageXOffset;
        Top    = pageYOffset;
        Right  = innerWidth;
        Bottom = innerHeight;
        //-- Modif du 10.11.2006
        L_Doc = document.body.clientWidth;
        H_Doc = document.body.clientHeight;
        //-- fin modif.
        if( Right  > L_Doc) Right  = L_Doc;
        if( Bottom > H_Doc) Bottom = H_Doc;
      }
    }
    else{ // Cas Explorer  part
      if( document.documentElement && document.documentElement.clientWidth)
        DocRef = document.documentElement;
      else
        DocRef = document.body;

      with( DocRef){
        Left   = scrollLeft;
        Top    = scrollTop;
        Right  = clientWidth;
        Bottom = clientHeight;
      }
    }
    //-- limite Maxi Fentre Affichage
    Right  += Left;
    Bottom += Top;
  }
}
//------------------------------------
function ObjShowAll( div_, x_, y_, z_){
  var B_Obj = GetObjet( div_);
  var F_Obj = GetObjet( 'F' +div_);
  var MaxX, MaxY;
  var Haut, Larg;
  var SavY = y_;

  if( B_Obj){
    //-- Rcup. dimension du DIV
    if( NETSCAPE){
      Larg = B_Obj.offsetWidth;
      Haut = B_Obj.offsetHeight;
    }
    else{
      Larg = B_Obj.scrollWidth;
      Haut = B_Obj.scrollHeight;
    }
    with( Fenetre){
      //-- Rajuste dimension fentre
      MaxX = Right  - Larg;
      MaxY = Bottom - Haut;

      //-- Application Bornage
      if( x_ > MaxX) x_ = MaxX;
      if( x_ < Left) x_ = Left;
      if( y_ > MaxY) y_ = MaxY;
      if( y_ < Top)  y_ = Top;
    }
    //-- si en bas On rajuste
    //-- pour que la bulle ne prenne pas le focus
    if( y_== MaxY){
      var DeltaY = MaxY -SavY;
      y_ = MaxY - DeltaY -Haut -2*Decal_Y;
    }
    with(B_Obj.style){
      left       = x_ +"px";
      top        = y_ +"px";
      zIndex     = z_;
      visibility = "visible";
    }
  }
}
//-- 15.09.2006 ------------------------
// Ajout Fonction Add_Event
//--------------------------------------
function Add_Event( obj_, event_, func_, mode_){
  if( obj_.addEventListener)
    obj_.addEventListener( event_, func_, mode_? mode_:false);
  else
    obj_.attachEvent( 'on'+event_, func_);
}
//-- 15.09.2006 ------------------------
// Ajout paramtre x_ et y_
//--------------------------------------
function BulleWrite( txt_, x_, y_, optionImage){
  var B_Obj = GetObjet( 'Bulle');
  var Html;
  if( B_Obj){
    //-- Rcup dimension d'affichage
    Get_DimFenetre();
    // Decalage hors de la Bulle
    Decal_X =( x_ ? x_: 5);//    Decal_X = 5 par dfaut
    Decal_Y =( y_ ? y_: 5);//    Decal_Y = 5 par dfaut

    if (optionImage == 1)
    {
        var image = "            <img src=\"images/triangle_info.gif\" width=\"12\" height=\"12\" align=\"bottom\" border=\"0\" alt=\"\" /> ";
    }
    else
    {
        var image = "";
    }
    //-- Ecriture de la Bulle 
    Html  = "<table border=\"0\" cellspacing=\"0\"><tr><td bgcolor=\"#000000\">";
    Html += "<table border=\"0\" cellspacing=\"0\" cellpadding=\"4\" width=\"100%\" bgcolor=\"#FFFFE8\">";
    Html += "<tr><td align=\"left\" class=\"Bulle\" nowrap>";
    Html += image ;
    //Html += "<strong>"+ txt_ +"<\/strong>";
    Html +=  txt_;
    Html += "<\/td><\/tr><\/table><\/td><\/tr><\/table>";

    B_Obj.innerHTML = Html;
    //-----------------------------------------//
    // IMPORTANT on n'affiche pas la Bulle     //
    // l'vnement MouseOver va avec MouseMove //
    //-----------------------------------------//
    // ObjShowAll('Bulle', Mouse_X +Decal_X, Mouse_Y +Decal_Y, 1000);
    bBULLE= true;
    return( true);
  }
 return(false);
}
//------------------
function BulleHide(){
  var B_Obj = GetObjet( 'Bulle');
  with(B_Obj){
    innerHTML        = "&nbsp;"
    style.left       = -1000 +"px";
    style.top        = -1000 +"px";
    style.zIndex     = 0;
    style.visibility = "hidden";
  }
  bBULLE = false;
  return(true);
}
//--------------------
function WhereMouse(e){
  var DocRef;
  //-- On traque les hybrides
  if( e && e.target){
    Mouse_X = e.pageX;
    Mouse_Y = e.pageY;
  }
  else{
    if( document.documentElement && document.documentElement.clientWidth)
      DocRef = document.documentElement;
    else
      DocRef = document.body;

    Mouse_X = event.clientX +DocRef.scrollLeft;
    Mouse_Y = event.clientY +DocRef.scrollTop;
  }

  if( bBULLE)
    ObjShowAll('Bulle', Mouse_X +Decal_X, Mouse_Y +Decal_Y, 1000);

  return( true);
}
//== INITIALISATION ==================================
//-- 15.09.2006 ------------------------
// Ajout Fonction Add_Event
// Permet de faire autre chose...
//--------------------------------------
//document.onmousemove = WhereMouse;
Add_Event( document, 'mousemove', WhereMouse);

//-- Cration STYLE Bulle et DIV----------------------
var Html;
  //-- On met du style pour la bulle
  Html  = '<style type="text/css">';
  Html += '.Bulle{cursor:default; color:#000000; font-size:13px; font-family:Verdana;}';
  Html += '</style>';
  //-- Cration du DIV Bulle
  Html +='<div id="Bulle" style="position:absolute; left:auto; top:auto; width:auto; height:auto; z-index:0; visibility:hidden"></div>';
  document.write( Html);



//------------------------------------------------------------ js_check_intro.js
// JavaScript Auteur: Christophe de http://tofem.net/ressources
//   Modifi par El Konkonbr M@squed :
//   -Ajout de la possibilite d'afficher des smileys
//   -Ajout de border="0" dans IMG et Smileys pour viter la bordure si ceux-ci sont mis en liens URL
//   -Rectif d un bug dans URL
//   -Ajout de la balise Align Center et Right
//   -Ajout de la balise HR
//   -Ajout de function inf_spec(t)
//------------------------------------------------------------
var timer = 0;
var ptag = String.fromCharCode(5,6,7);

//------------------------------------------------------------- js_check_cont.js
function visualisation(nom_value_du_txtarea)
{
    texte = document.getElementById('formulaire').elements[nom_value_du_txtarea].value;
    texte = code_to_html(texte);
    if (document.getElementById) document.getElementById('previsualisation').innerHTML = texte;
}

// Sert pour livre_signer.php, livre_signer_admin.php, form_mess_accueil.php, form_mess_accueil_signature.php
function automatique()
{
    texte = document.getElementById('formulaire').message.value;
    texte = code_to_html(texte);
    if (document.getElementById) document.getElementById('previsualisation').innerHTML = texte;
    if (document.getElementById('formulaire').auto.checked) timer = setTimeout(automatique, 1000);
}
//------------------------------------------------------------- js_check_cont.js FIN

//-------------------------------------------------------------------- check.inc
function code_to_html(texte)
{
    texte = nl2khol(texte);
    texte = inf_spec(texte);
    
    // balise Gras
    texte = deblaie(/(\[\/b\])/g, texte)
    texte = remplace_tag(/\[b\](.+)\[\/b\]/g, '<b>$1<\/b>', texte)
    texte = remblaie(texte)
    
    // balise Italique
    texte = deblaie(/(\[\/i\])/g, texte)
    texte = remplace_tag(/\[i\](.+)\[\/i\]/g,'<i>$1<\/i>', texte)
    texte = remblaie(texte)
    
    // balise Soulign
    texte = deblaie(/(\[\/u\])/g, texte)
    texte = remplace_tag(/\[u\](.+)\[\/u\]/g,'<u>$1<\/u>', texte)
    texte = remblaie(texte)
    
    // balise Smileys
    texte = deblaie(/(:\])/g, texte)
    texte = remplace_tag(/\[:(.+):\]/g,'<img src="images/smileys/$1.gif" align="bottom" border="0" alt="" />', texte)
    texte = remblaie(texte)
    
    // balise URL
    texte = deblaie(/(\[\/url\])/g, texte) // aj because dec
    texte = remplace_tag(/\[url=((https?|ftp):\/\/\S+[\<\>a-zA-Z0-9]\/?)\](.+)\[\/url\]/g,'<a href="$1" target="_blank" class="liens" title="">$3<\/a>', texte)
    texte = remblaie(texte)
    
    // balise Color  
    texte = deblaie(/(\[\/color\])/g, texte)
    texte = remplace_tag(/\[color=(#[a-fA-F0-9]{6})\](.+)\[\/color\]/g,'<font color="$1">$2<\/font>', texte)
    texte = remblaie(texte)
    
    
    texte = unkhol(texte)
    texte = nl2br(texte)
    return texte
}


function deblaie(reg, texte) {
    texte = new String(texte);
    return texte.replace(reg, '$1\n');
}

function remblaie(texte) {
    texte = new String(texte);
    return texte.replace(/\n/g, '');
}

function remplace_tag(reg, rep, texte) {
    texte = new String(texte);
    return texte.replace(reg, rep);
}

function nl2br(texte) {
    texte = new String(texte);
    return texte.replace(/\n/g, '<br>');
}

function nl2khol(texte) {
    texte = new String(texte);
    return texte.replace(/\n/g, ptag);
}

function unkhol(texte) {
    texte = new String(texte);
    return texte.replace(new RegExp(ptag, 'g'),'\n');
}

// Ajout EKM
function inf_spec(texte) {
    texte = new String(texte);
    return texte.replace(/</g, '&lt;');
}
//-------------------------------------------------------------------- check.inc FIN



//------------------------------------------------------ js_compte_caracteres.js
function compteCaracteres(cible, limitNbCaract)
{
    longueurDeLaChaine = cible.value.length
    if (longueurDeLaChaine > limitNbCaract)
    {
        cible.value = cible.value.substring(0, limitNbCaract);
        nbCaracteresActuels = limitNbCaract;
    }
    else
    {
        nbCaracteresActuels = longueurDeLaChaine;
    }
    var nbCaracteresActuelsTemp = limitNbCaract - nbCaracteresActuels;
    document.getElementById('formulaire').caracteres.value = nbCaracteresActuelsTemp;
}



//--------------------------------------------------------- js_sign_op_win_bd.js anciennement ds body
if (document.getElementById)
{
    document.write('<style type="text/css">\n')
    document.write('.sous_menu {display : none;}\n')
    document.write('</style>\n')
}



function ouvrir(obj)
{
    if(document.getElementById)
    {
        var el = document.getElementById(obj);
        var ar = document.getElementById("masterdiv").getElementsByTagName("div");

        if(el.style.display != "block")
        {
            for (var i=0; i<ar.length; i++)
            {
                if (ar[i].className=="sous_menu")
                ar[i].style.display = "none";
            }
            el.style.display="block";
        }
        else
        {
            el.style.display="none";
        }
    }
}